org.apache.tiles.velocity.template

## Class InsertDefinitionDirective

- java.lang.Object
- - org.apache.velocity.runtime.directive.Directive
  - - org.apache.tiles.velocity.template.InsertDefinitionDirective

- All Implemented Interfaces:
    Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

      public class InsertDefinitionDirective
      extends org.apache.velocity.runtime.directive.Directive

  Insert a definition.

  Insert a definition with the possibility to override and specify parameters (called attributes). A definition can be seen as a (partially or totally) filled template that can override or complete attribute values. <tiles:insertDefinition> allows to define these attributes and pass them to the inserted jsp page, called template. Attributes are defined using nested tag <tiles:putAttribute> or <tiles:putListAttribute>.

  You must specify name tag attribute, for inserting a definition from definitions factory.

  Example :

           <tiles:insertDefinition name=".my.tiles.defininition flush="true">
               <tiles:putAttribute name="title" value="My first page" />
               <tiles:putAttribute name="header" value="/common/header.jsp" />
               <tiles:putAttribute name="footer" value="/common/footer.jsp" />
               <tiles:putAttribute name="menu" value="/basic/menu.jsp" />
               <tiles:putAttribute name="body" value="/basic/helloBody.jsp" />
           </tiles:insertDefinition>

- - ### Field Summary

    - ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

      `log, rsvc`

    - ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

      `BLOCK, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertDefinitionDirective()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `int` | `getType()`
    `boolean` | `render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node)`

    - ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

      `checkArgs, getColumn, getLine, getScopeName, getTemplate, getTemplateName, init, isScopeProvided, makeScope, postRender, preRender, setLocation, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsertDefinitionDirective

          public InsertDefinitionDirective()

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `org.apache.velocity.runtime.directive.Directive`

    - #### getType

          public int getType()

      Specified by:
        `getType` in class `org.apache.velocity.runtime.directive.Directive`

    - #### render

          public boolean render(org.apache.velocity.context.InternalContextAdapter context,
                                Writer writer,
                                org.apache.velocity.runtime.parser.node.Node node)
                         throws IOException

      Specified by:
        `render` in class `org.apache.velocity.runtime.directive.Directive`
      Throws:
        `IOException`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.